import { SPolylineItem } from '@saga-web/big/lib';
import { SPainter, SColor } from '@saga-web/draw';
import { SAnchorItem, SGraphItem } from '@saga-web/graph/lib';
import { Relation } from '../types/Relation';

/**
 * 管道item
 *
 * */
export class TipelineItem extends SPolylineItem {
  /** 起始锚点  */
  startAnchor: SAnchorItem | null = null;
  /** 结束锚点  */
  endAnchor: SAnchorItem | null = null;
  /** 数据存储  */
  data: Relation | null = null;
  /** 接收事件作出修改  */
  changePos() {
    if (this.startAnchor) {
      // 判断删除equip后,不移动
      if (this.startAnchor.parent && this.startAnchor.parent.parent) {
        this.pointList[0] = this.startAnchor.mapToScene(0, 0);
      }
    }
    if (this.endAnchor) {
      // 删除equip后
      if (this.endAnchor.parent && this.endAnchor.parent.parent) {
        this.pointList[
          this.pointList.length - 1
        ] = this.endAnchor.mapToScene(0, 0);
      }
    }
  }

  // constructor(parent: SGraphItem | null, data: Relation) {
  //   super(parent, data.PointList);
  //   this.data = data;
  // }
}